org.apache.cassandra.db.composites

## Class CompoundDenseCellNameType

- java.lang.Object
- - org.apache.cassandra.db.composites.AbstractCType
  - - org.apache.cassandra.db.composites.AbstractCellNameType
    - - org.apache.cassandra.db.composites.AbstractCompoundCellNameType
      - - org.apache.cassandra.db.composites.CompoundDenseCellNameType

All Implemented Interfaces:
  java.util.Comparator<Composite>, CellNameType, CType

    public class CompoundDenseCellNameType
    extends AbstractCompoundCellNameType

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.composites.CellNameType

`CellNameType.Deserializer`

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.composites.CType

`CType.Serializer`

### Field Summary

### Fields inherited from class org.apache.cassandra.db.composites.AbstractCompoundCellNameType

`clusteringSize, clusteringType, fullSize, fullType`

### Fields inherited from class org.apache.cassandra.db.composites.AbstractCType

`isByteOrderComparable`

### Constructor Summary

Constructors
Constructor and Description
`CompoundDenseCellNameType(java.util.List<AbstractType<?>> types)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCQL3Column(ColumnIdentifier id)`
`protected Composite` `copyAndMakeWith(java.nio.ByteBuffer[] components, int size, Composite.EOC eoc, boolean isStatic)`
`CQL3Row.Builder` `CQL3RowBuilder(CFMetaData metadata, long now)` Creates a new CQL3Row builder for this type.
`CellName` `create(Composite prefix, ColumnDefinition column)` Creates a new CellName given a clustering prefix and a CQL3 column.
`boolean` `isDense()` Whether or not the cell names for this type are dense.
`protected Composite` `makeWith(java.nio.ByteBuffer[] components, int size, Composite.EOC eoc, boolean isStatic)`
`void` `removeCQL3Column(ColumnIdentifier id)`
`CellNameType` `setSubtype(int position, AbstractType<?> newType)` Returns a new CellNameType that is equivalent to this one but with one of the subtype replaced by the provided new type.

### Methods inherited from class org.apache.cassandra.db.composites.AbstractCompoundCellNameType

`asAbstractType, builder, clusteringPrefixSize, fromByteBuffer, isCompound, makeCellName, newDeserializer, prefixBuilder, size, subtype`

### Methods inherited from class org.apache.cassandra.db.composites.AbstractCellNameType

`addOrUpdateCollection, asymmetricColumnComparator, cellFromByteBuffer, cellSerializer, collectionType, columnComparator, columnReverseComparator, columnSerializer, create, diskAtomFilterSerializer, hasCollections, make, makeCellName, makeDenseCQL3RowBuilder, makeSparseCQL3RowBuilder, namesQueryFilterSerializer, onDiskAtomComparator, onDiskAtomSerializer, rowMarker, staticPrefix, supportCollections`

### Methods inherited from class org.apache.cassandra.db.composites.AbstractCType

`checkRemaining, compare, deletionInfoSerializer, equals, getByteOrderAsymmetricColumnComparator, getByteOrderColumnComparator, getString, hashCode, indexComparator, indexReverseComparator, isByteOrderComparable, isCompatibleWith, rangeTombstoneSerializer, reverseComparator, serializer, sliceBytes, sliceQueryFilterSerializer, sliceSerializer, toString, validate`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.db.composites.CType

`compare, deletionInfoSerializer, getString, indexComparator, indexReverseComparator, isCompatibleWith, rangeTombstoneSerializer, reverseComparator, serializer, sliceQueryFilterSerializer, sliceSerializer, validate`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### CompoundDenseCellNameType

    public CompoundDenseCellNameType(java.util.List<AbstractType<?>> types)

### Method Detail

#### setSubtype

    public CellNameType setSubtype(int position,
                                   AbstractType<?> newType)

Description copied from interface: `CellNameType`
Returns a new CellNameType that is equivalent to this one but with one of the subtype replaced by the provided new type.

#### isDense

    public boolean isDense()

Description copied from interface: `CellNameType`
Whether or not the cell names for this type are dense.

#### create

    public CellName create(Composite prefix,
                           ColumnDefinition column)

Description copied from interface: `CellNameType`
Creates a new CellName given a clustering prefix and a CQL3 column. Note that for dense types, the column can be null as a shortcut for designing the only COMPACT_VALUE column of the table.

#### makeWith

    protected Composite makeWith(java.nio.ByteBuffer[] components,
                                 int size,
                                 Composite.EOC eoc,
                                 boolean isStatic)

Specified by:
  `makeWith` in class `AbstractCompoundCellNameType`

#### copyAndMakeWith

    protected Composite copyAndMakeWith(java.nio.ByteBuffer[] components,
                                        int size,
                                        Composite.EOC eoc,
                                        boolean isStatic)

Specified by:
  `copyAndMakeWith` in class `AbstractCompoundCellNameType`

#### addCQL3Column

    public void addCQL3Column(ColumnIdentifier id)

#### removeCQL3Column

    public void removeCQL3Column(ColumnIdentifier id)

#### CQL3RowBuilder

    public CQL3Row.Builder CQL3RowBuilder(CFMetaData metadata,
                                          long now)

Description copied from interface: `CellNameType`
Creates a new CQL3Row builder for this type. See CQL3Row for details.